Bug 477837 - hard wedge in gdm-greeter startup
hard wedge in gdm-greeter startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 21:45 EST by Roland McGrath
Modified: 2009-01-16 07:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 6.9.0-63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 07:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.log left after wedge (46.94 KB, text/plain)
2008-12-23 21:45 EST, Roland McGrath
no flags Details
X.log left after successful greeter startup (6.9.0-53.fc10.i386) (47.27 KB, text/plain)
2008-12-23 21:47 EST, Roland McGrath
no flags Details

  None (edit)
Description Roland McGrath 2008-12-23 21:45:41 EST
Created attachment 327782 [details]
X.log left after wedge

Description of problem:

The system wedges completely during the startup of the X login screen.
The X server starts, there is a busy cursor (which moves normally by mouse), then the background (only) of the normal greeter box and bottom line draws, but no foreground text.  Then the system is wedged, no response of any kind.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-0:6.9.0-62.fc10.i386

kernel-2.6.27.9-159.fc10.i686
xorg-x11-server-Xorg-1.5.3-6.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1.Boot in runlevel 5.
2.See gdm start X, draw background of greeter box (no text).
3.See system wedge totally.
  
Actual results:
Complete wedge, mouse cursor freezes, no longer pingable on ethernet.

Expected results:
No wedge.

Additional info:

Downgrade to xorg-x11-drv-ati-6.9.0-54.fc10.i386 fixes the problem
Also seen the same wedge with xorg-x11-drv-ati-0:6.9.0-62.fc10.i386 and:

kernel-2.6.27.7-134.fc10.i686
kernel-2.6.27.9-159.fc10.i686
Comment 1 Roland McGrath 2008-12-23 21:47:06 EST
Created attachment 327783 [details]
X.log left after successful greeter startup (6.9.0-53.fc10.i386)
Comment 2 Dave Airlie 2008-12-24 03:01:56 EST
Please try 6.9.0-63 from koji.
Comment 3 Roland McGrath 2008-12-24 03:41:48 EST
It works.
Comment 4 Matěj Cepl 2009-01-16 07:11:05 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.